Subject: [ietf-types] Request of new MIME type for Python.

From: Jesús Hernández Gormaz <[email-masked]>
Date: Sun, 22 Apr 2012 23:35:00 +0100

Hello I am Jesús Hernández Gormaz, I would like to propose
 that the MIME type text / x-python pass to register with the
 IANA and thus switch to a text / python completelystandard
 and accepted. Also, as I guess will know, Python handles
 files .pyc besides the .py and .pyc are your bytecode, so I
 propose a typoapplication / x-python-bytecode to begin to
 give these files its own MIME type , and encourage as in the
 previous case to formalize an application /bytecode-python
 as it seems important formalziar Python MIME types.

Greetings.

-- 
JHG.

---

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 23 Apr 2012 09:43:23 -0600

On 4/22/12 4:35 PM, Jesús Hernández Gormaz wrote:
> Hello I am Jesús Hernández Gormaz, I would like to propose that the
> MIME type text / x-python pass to register with the IANA and thus
> switch to a text / python completelystandard and accepted. Also, as
> I guess will know, Python handles files .pyc besides the .py and
> .pyc are your bytecode, so I propose a typoapplication /
> x-python-bytecode to begin to give these files its own MIME type ,
> and encourage as in the previous case to formalize an application
> /bytecode-python as it seems important formalziar Python MIME
> types.

I see no reason for the x- names. See Section 3.4 of RFC 4288 as well
as draft-ietf-appsawg-xdash.

Peter

- -- 
Peter Saint-Andre
https://stpeter.im/